Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0g
Release: 1.0.5
Copyright: GPL
Group: Applications/Text
Source: ftp://alpha.gnu.org/gnu/fetish/textutils-%{version}.tar.gz
Prereq: /sbin/install-info
BuildPrereq: libtool
Buildroot: /var/tmp/%{name}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
%build

unset LINGUAS || :
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
	CC="gcc $RPM_OPT_FLAGS" CFLAGS=-O2
make

%install
rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR=$RPM_BUILD_ROOT
# argh
mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}
mv $RPM_BUILD_ROOT/%{_bindir}/{cat,sort} $RPM_BUILD_ROOT/%{_root_bindir}

%post
if [ -f %{_infodir}/textutils.info.gz ]; then
	/sbin/install-info %{_infodir}/textutils.info.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/textutils.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/*
/bin/*
%doc %{_mandir}/*/*
%doc %{_infodir}/textutils*
/usr/share/locale/*/*/*

%changelog
* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- marked *info.gz as %doc
- made install-info conditional on existence of *info.gz

* Tue Nov 21 2000 Dave Wreski <dave@guardiandigital.com>
- forgot to move cat/sort to /bin

* Mon Oct 30 2000 Pete O'Hara <pete@guardiandigital.com>
- remove old patches
- upgrade to 2.0g

* Fri Jul 14 2000 Dave Wreski <dave@guardiandigital.com>
- initial version

